The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Установка драйвера ATI Catalyst в openSUSE 11.2
Вот и вышла долгожданная openSUSE 11.2 и сразу появились сложности с
видеоадаптерами производства ATI/AMD... Репозиторий
http://www2.ati.com/suse/11.2/ не содержит пакетов с нужными драйверами.

Остаётся "запасной" вариант - ati-driver-installer-9-10-x86.x86_64.run, скачанный с сайта AMD.

Однако и здесь есть некоторые сложности - данный инсталлер не может собрать
RPM-пакет, а установка вручную (у меня) приводит к неработоспособности
графической подсистемы.

При изучении механизма сборки пакетов, выяснилось, что проблема вызвана
манипуляциями с RPM_BUILD_ROOT. После правки скриптов/спеков и сборки пакета,
так же выяснилось, что пакет для x86_64 не содержит библиотек для поддержки
ускорения видео через VA-API, хотя в ati-driver-installer они присутствуют.

В итоге был создан патч для "лечения" механизма сборки RPM-пакетов для openSUSE
11.2, последовательность применения которого следующая:

   chmod a+x ati-driver-installer-9-10-x86.x86_64.run
   ati-driver-installer-9-10-x86.x86_64.run --extract <куда-нибудь>
   cd <куда-нибудь>
   patch -p1 < путь/к/патчу
   /packages/SuSE/ati-packager.sh --buildpkg SUSE112-AMD64

или, соответсвенно, 
   /packages/SuSE/ati-packager.sh --buildpkg SUSE112-IA32
   rpm -i ../fglrx*.rpm

Собственно, патч:



diff -Nuar ati.orig/packages/SuSE/ati-packager.sh ati/packages/SuSE/ati-packager.sh
--- ati.orig/packages/SuSE/ati-packager.sh      2009-10-06 00:23:48.000000000 +0400
+++ ati/packages/SuSE/ati-packager.sh   2009-11-17 12:12:31.274354947 +0300
@@ -91,7 +91,7 @@
 END_SED_SCRIPT                                                                                     
                                                                                                    
     #Build the package                                                                             
-    rpmbuild -bb --root ${TmpDrvFilesDir} --target ${ARCH} ${TmpPkgSpec} >
${TmpPkgBuildOut} 2>&1
+    rpmbuild -bb --target ${ARCH} ${TmpPkgSpec} > ${TmpPkgBuildOut} 2>&1
                                                                                                    
     #Retrieve the absolute path to the built package                                               
     if [ $? -eq 0 ]; then                                                                          
diff -Nuar ati.orig/packages/SuSE/x740_64a.SUSE112-AMD64.spec ati/packages/SuSE/x740_64a.SUSE112-AMD64.spec
--- ati.orig/packages/SuSE/x740_64a.SUSE112-AMD64.spec  2009-10-06
00:23:48.000000000 +0400
+++ ati/packages/SuSE/x740_64a.SUSE112-AMD64.spec       2009-11-17
12:12:31.274354947 +0300
@@ -36,10 +36,9 @@
 %ATI_DRIVER_DESCRIPTION                                                                            
                                                                                                    
 %install                                                                                           
-export RPM_BUILD_ROOT=%ATI_DRIVER_BUILD_ROOT
 tmpdir=$(mktemp -d /tmp/fglrx.XXXXXX)                                                              
 mkdir $tmpdir/fglrx                                                                                
-mv $RPM_BUILD_ROOT/* $tmpdir/fglrx
+mv %ATI_DRIVER_BUILD_ROOT/* $tmpdir/fglrx
 export RPM_SOURCE_DIR=$(mktemp -d /tmp/fglrx.XXXXXX)                                               
 mv $tmpdir/fglrx/suse/* $RPM_SOURCE_DIR                                                            
 #                                                                                                  
@@ -190,9 +189,7 @@
   install -m 644 amdcccle.desktop        $RPM_BUILD_ROOT/usr/share/applications                    
   install -m 644 amdccclesu.desktop      $RPM_BUILD_ROOT/usr/share/applications                    
   install -m 755 libatiadlxx.so          $RPM_BUILD_ROOT/usr/%{_lib}                               
-%ifarch %ix86
   install -m 755 libAMDXvBA.cap libAMDXvBA.so.1.0 libXvBAW.so.1.0 $RPM_BUILD_ROOT/usr/%{_lib}      
-%endif
   install -m 755 libaticaldd.so libaticalrt.so libaticalcl.so $RPM_BUILD_ROOT/usr/%{_lib}          
   install -m 755 libdri.so              $RPM_BUILD_ROOT%{MODULES_DIR}/updates/extensions
   test -f libglx.so && \
@@ -392,11 +389,9 @@
 /usr/X11R6/lib/libGL.so.1.2
 %endif
 /usr/%{_lib}/libatiadlxx.so
-%ifarch %ix86
 /usr/%{_lib}/libAMDXvBA.cap
 /usr/%{_lib}/libAMDXvBA.so.1.0
 /usr/%{_lib}/libXvBAW.so.1.0
-%endif
 /usr/%{_lib}/libaticaldd.so
 /usr/%{_lib}/libaticalrt.so
 /usr/%{_lib}/libaticalcl.so
diff -Nuar ati.orig/packages/SuSE/x740.SUSE112-IA32.spec ati/packages/SuSE/x740.SUSE112-IA32.spec
--- ati.orig/packages/SuSE/x740.SUSE112-IA32.spec       2009-10-06 00:23:48.000000000 +0400
+++ ati/packages/SuSE/x740.SUSE112-IA32.spec    2009-11-17 12:13:54.819085923 +0300
@@ -36,10 +36,9 @@
 %ATI_DRIVER_DESCRIPTION

 %install
-export RPM_BUILD_ROOT=%ATI_DRIVER_BUILD_ROOT
 tmpdir=$(mktemp -d /tmp/fglrx.XXXXXX)
 mkdir $tmpdir/fglrx
-mv $RPM_BUILD_ROOT/* $tmpdir/fglrx
+mv %ATI_DRIVER_BUILD_ROOT/* $tmpdir/fglrx
 export RPM_SOURCE_DIR=$(mktemp -d /tmp/fglrx.XXXXXX)
 mv $tmpdir/fglrx/suse/* $RPM_SOURCE_DIR
 #


 
18.11.2009 , Автор: Wizard
Ключи: ati, amd, catalyst, driver, install, opensuse / Лицензия: CC-BY
Раздел:    Корень / Пользователю / X Window

Обсуждение [ Линейный режим | Показать все | RSS ]
  • 1.2, Wizard (??), 16:50, 18/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Сейчас проверил. Для 9.11 тоже актуально с этим же патчем.
     
     
  • 2.3, Nick (??), 19:45, 18/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Драйвер - 9.11
    Система - х86
    Результат - Package build failed!
    Чего то всеравно не работает после этого патча.
     
  • 2.6, Zenitur (?), 08:57, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Странно, но у 9.11 есть скрипт для содания RPM-пакетов для openSuSE 11.2! Неужели в AMD не протестировали работоспособность?
     
     
  • 3.8, Wizard (??), 16:17, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    >Странно, но у 9.11 есть скрипт для содания RPM-пакетов для openSuSE 11.2!
    >Неужели в AMD не протестировали работоспособность?

    И в 9.10 тоже есть. Собственно, как показывает практика, в 9.11 в спеке удалена какая-то одна строка (патч говорит что-то вроде "Hunk succedded at ... offset -1"). Больше никакой разницы в скриптах и спеках для сборки RPM для openSUSE 11.2 не нашёл...

     

  • 1.4, Zenitur (?), 01:26, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Странное дело... Когда я делал пакеты для openSuSE 10.3 с драйвером версии 9.5, получился файл fglrx_7_1_0_SUSE103-8.612-1.i386.rpm. А когда я это сделал с драйвером 9.10, файл получился fglrx_6_9_0_SUSE103-8.661-1.i386.rpm. Что за баг? Версия меньше почему-то намного написана! А устанавливается то, что надо. Это баг и о нём надо сообщить?
    P.S. у меня также есть openSuSe 10.2, а скрипта для 10.2 нет, поэтому я выбрал 10.3. В консоли шрифт стал другой после установки драйвера! Удалил rpm - шрифт остался новым. А в Ubuntu после удаления deb от fglrx тут же исчезали все проблемы. Или это я чего не то сделал сам...
     
  • 1.5, Zenitur (?), 01:31, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вопрос: как удалить установленный просто, без предварительного создания rpm-файла, драйвер? --uninstall, как с nVidia, не работает.
     
     
  • 2.7, Wizard (??), 16:13, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    То ли в /usr/lib/ati, то ли в /usr/share/ati есть скрипт про uninstall...
     
     
  • 3.10, pops (?), 16:37, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    /usr/share/ati/fglrx-uninstall.sh
     
     
  • 4.15, Zenitur (?), 23:48, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Спасибо, помогло!
     

  • 1.9, pops (?), 16:31, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    тут рабочий "рецепт" - http://forums.opensuse.org/hardware/426190-generating-catalyst-9-11-rpms-open
     
  • 1.11, anton (??), 16:37, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А у меня при выполнении "patch -p1 < patch" выдает следующее:
    patching file packages/SuSE/ati-packager.sh
    patch: **** malformed patch at line 10: ${TmpPkgBuildOut} 2>&1

    Кто знает как лечить?Очень хотса новую сусю))

     
     
  • 2.12, pops (?), 16:56, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Я делал так слил скрипт (catalyst_911-suse112.sh), diff (fglrx-install.11.diff), и файл ati-driver-installer-9-11-x86.x86_64.run в папку /home/src/ati.

    зашел в консоль, перешел в папку (cd /home/src/ati) и выполнил скрипт
    ./catalyst_911-suse112.sh

    Результат - rpm файл, (проинсталил rpm -ihv fglrx*.rpm)
    sax2 -r -m 0=fglrx

     
  • 2.17, stirn (?), 11:38, 20/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    -    rpmbuild -bb --root ${TmpDrvFilesDir} --target ${ARCH} ${TmpPkgSpec} >
    ${TmpPkgBuildOut} 2>&1


    это одна строка, а не две, если вставлять копипастом :)

     

  • 1.13, anton (??), 17:43, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Сделал также как pops, но kwin Вылетает. Карточка 9550...
    в 11.1 спасала "one click install" драйверов legacy
    Что тут делать?
     
     
  • 2.16, Zenitur (?), 23:50, 19/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Прекращение поддержки этой видеокарты было в драйвере версии 9.3. Надо ставить 9.3 либо открытые. А 9.3, оказывается, не поддерживает новый X.org,и нужен старый дистрибутив тогда! Либо открытый драйвер, проигрывающий в скорости... Вот такой вот подарок от AMD...
    У меня, кстати, есть такая же видеокатра, как у тебя. Хорошая. Но лучше разогнать, средства в Linux есть!
     
     
  • 3.19, Аноним (-), 21:17, 22/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    >Но лучше разогнать

    Для чего? Чтобы в вайне у пары калек фпс подрос на 2? Дак немучайте себя, поставьте винду, глядишь фпс из-за бескостыльности вырастет на 10%

     
     
  • 4.21, Zenitur (?), 04:50, 23/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Намекаешь на то, что видеокарте пора на свалку? Не соглашусь. Она запускает без проблем тысячи игр. Кроме того, кроме Wine полно нативных игр.
    Частота процессора на этой видеокарте 250 мегагерц. Я легко поднимал до 330. Приросто в скорости ощутимый.
     

  • 1.14, Fearchik (?), 19:55, 19/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Таже проблема как и у anton'a...только карточка x700
     
  • 1.18, greenif (?), 00:32, 22/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    У меня ноутбук dell studio 1735 с
    ATI HD Radeon 3650
    Уже практически потерял надежу.
    Раньше стояла openSUSE 11.1 x64
    Теперь поставил openSUSE 11.2 x64
    Ставил через запуск:
    sh ati-driver-installer-9-11-x86.x86_64.run
    (и более ранние версии).
    Переустановил систему и поставил
    9.11 по указаному рецепту.
    Все установилось успешно.
    Потом всегда:
    init 3
    sax2 -r -m 0=fglrx

    ! Но вот результат практически один:
    - Или(раньше) дикие тормоза, но ускорение все таки запускалось, но работать не возможно.
    - Или(сейчас) дикие тормоза и ускорение даже не запускается.

    Может кто сталкивался?

     
     
  • 2.20, Zenitur (?), 04:47, 23/11/2009 [^] [^^] [^^^] [ответить]  
  • +/
    Сталкивался. Перезагрузиться надо.
     

  • 1.22, Сергей (??), 07:33, 24/11/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Не работает. При копипасте что-то не так копируется. Дайте пожалуйста ссылку на этот скрипт (на файл).
     
  • 1.23, Григорий (??), 15:06, 05/12/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    patching file packages/SuSE/ati-packager.sh
    Hunk #1 FAILED at 91.
    1 out of 1 hunk FAILED -- saving rejects to file packages/SuSE/ati-packager.sh.rej
    patching file packages/SuSE/x740_64a.SUSE112-AMD64.spec
    Hunk #1 FAILED at 36.
    Hunk #2 FAILED at 190.
    Hunk #3 FAILED at 392.
    3 out of 3 hunks FAILED -- saving rejects to file packages/SuSE/x740_64a.SUSE112-AMD64.spec.rej
    patching file packages/SuSE/x740.SUSE112-IA32.spec
    Reversed (or previously applied) patch detected!  Assume -R? [n] y
    Hunk #1 succeeded at 36 with fuzz 2.
     
     
  • 2.25, Daigotsu (?), 09:59, 21/12/2009 [^] [^^] [^^^] [ответить]  
  • +/
    >[оверквотинг удален]
    >
    >patching file packages/SuSE/x740_64a.SUSE112-AMD64.spec
    >Hunk #1 FAILED at 36.
    >Hunk #2 FAILED at 190.
    >Hunk #3 FAILED at 392.
    >3 out of 3 hunks FAILED -- saving rejects to file packages/SuSE/x740_64a.SUSE112-AMD64.spec.rej
    >
    >patching file packages/SuSE/x740.SUSE112-IA32.spec
    >Reversed (or previously applied) patch detected!  Assume -R? [n] y
    >Hunk #1 succeeded at 36 with fuzz 2.

    Точно такой же вывод. не могу поставить драйвер. карта HD2400


     
  • 2.28, alex789 (?), 00:17, 14/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    ati-driver-installer-9-10-x86.x86_64.bin
     

  • 1.24, sorga (?), 01:39, 20/12/2009 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Все оказалось намного проще - не применял ни один патч - а действовал по инструкции найденной по адресу http://it-sb.ru/Решения
     
  • 1.29, alex789 (?), 00:33, 14/01/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    плизззззззззззззззззз

    выложите патч файлом,
    этож издевательство!!!

     
     
  • 2.30, Eugen (??), 12:09, 16/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    А https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-i кто нибудь ставил?
    У меня openSUSE11.1 kernel-2.6.32.2 - ругается:

    $fglrx-kernel-build.sh
    /usr/src/kernel-modules/fglrx /home/test
    make: Entering directory '/usr/src/linux-2.6.32.2'
      CC [M]  /usr/src/kernel-modules/fglrx/kcl_io.o
    /usr/src/kernel-modules/fglrx/kcl_io.c: In function ‘KCL_IO_FASYNC_Terminate’:
    /usr/src/kernel-modules/fglrx/kcl_io.c:122: error: ‘SIGIO’ undeclared (first use in this function)
    /usr/src/kernel-modules/fglrx/kcl_io.c:122: error: (Each undeclared identifier is reported only once
    /usr/src/kernel-modules/fglrx/kcl_io.c:122: error: for each function it appears in.)
    make[1]: *** [/usr/src/kernel-modules/fglrx/kcl_io.o] Ошибка 1
    make: *** [_module_/usr/src/kernel-modules/fglrx] Ошибка 2
    make: Leaving directory '/usr/src/linux-2.6.32.2'

    ******************************
    Build of kernel module failed!
    ******************************

     
     
  • 3.31, Игорь (??), 02:12, 23/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    >[оверквотинг удален]
    >/usr/src/kernel-modules/fglrx/kcl_io.c:122: error: ‘SIGIO’ undeclared (first use in this function)
    >/usr/src/kernel-modules/fglrx/kcl_io.c:122: error: (Each undeclared identifier is reported only once
    >/usr/src/kernel-modules/fglrx/kcl_io.c:122: error: for each function it appears in.)
    >make[1]: *** [/usr/src/kernel-modules/fglrx/kcl_io.o] Ошибка 1
    >make: *** [_module_/usr/src/kernel-modules/fglrx] Ошибка 2
    >make: Leaving directory '/usr/src/linux-2.6.32.2'
    >
    >******************************
    >Build of kernel module failed!
    >******************************

    Такое же на arch linux с тем 2.6.32 ядром

     

  • 1.32, Ne0 (?), 21:30, 04/02/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Доброго времени суток!
    Попробовал сделать по инструкции - выдало ошибку:
    "patching file packages/SuSE/ati-packager.sh
    patch: **** malformed patch at line 9: ${TmpPkgBuildOut} 2>&1"

    =(

    Кстати, может кто знает для карточки ATI Radeon Xpress 1250 нужен драйвер именно версии 9.3 (такой предлагается скачать на оф.сайте) или же можно поновее? и какой лучше?

     


     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:




    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру